import { StateTypes } from "./types";
import { ActionTree } from "vuex";

const actions: ActionTree<StateTypes, any> = {
    selectPage({ commit }, idnex) {
        return new Promise<void>((resolve) => {
            sessionStorage.setItem("currentRoute", idnex);
            commit('setCurrentRoute', idnex)
            resolve()
        })
    },
};

export default actions;
